Get Resource Pool Kubernetes Config

Get Resource Pool Kubernetes Config
Get Kubernetes configuration for a resource pool.

Get Kubernetes configuration for a resource pool which is backed by a Kubernetes enabled cluster.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/resourcePools/{moref}/kubernetesConfig
COPY
Path Parameters
string
vcUrn
Required

vcUrn

string
moref
Required

moref


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ResourcePoolKubernetesConfig of type(s) application/json;version=9.1.0
{
    "controlPlaneEndpoint": "string"
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

404

The specified resource was not found

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/resourcePools/{moref}/kubernetesConfig